package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.video.entity.VideoEntity;
import com.ycwl.basic.model.pc.video.req.VideoReqQuery;
import com.ycwl.basic.model.pc.video.resp.VideoRespVO;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 16:29
 */
public interface VideoService {
    ApiResponse<PageInfo<VideoRespVO>> pageQuery(VideoReqQuery videoReqQuery);
    ApiResponse<List<VideoRespVO>> list(VideoReqQuery videoReqQuery);
    ApiResponse<VideoRespVO> getById(Long id);


}
